{
  "schema_version": "1.4.0",
  "id": "GHSA-cgjr-3qf9-3wvc",
  "modified": "2022-05-14T02:10:15Z",
  "published": "2022-05-14T02:10:15Z",
  "aliases": [
    "CVE-2013-2478"
  ],
  "details": "The dissect_server_info function in epan/dissectors/packet-ms-mms.c in the MS-MMS dissector in Wireshark 1.6.x before 1.6.14 and 1.8.x before 1.8.6 does not properly manage string lengths, which allows remote attackers to cause a denial of service (application crash) via a malformed packet that (1) triggers an integer overflow or (2) has embedded '\\0' characters in a string.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-2478"
    },
    {
      "type": "WEB",
      "url": "https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8382"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A16447"
    },
    {
      "type": "WEB",
      "url": "http://anonsvn.wireshark.org/viewvc/trunk-1.8/epan/dissectors/packet-ms-mms.c?r1=47981&r2=47980&pathrev=47981"
    },
    {
      "type": "WEB",
      "url": "http://anonsvn.wireshark.org/viewvc?view=revision&revision=47981"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-03/msg00065.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-03/msg00077.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/52471"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2013/dsa-2644"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/docs/relnotes/wireshark-1.6.14.html"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/docs/relnotes/wireshark-1.8.6.html"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/security/wnpa-sec-2013-13.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-03-07T15:55:00Z"
  }
}